using System;
using System.IO;
using Gtk;

public partial class MainWindow : Gtk.Window
{
	public MainWindow () : base(Gtk.WindowType.Toplevel)
	{
		Build ();
	}

	protected void OnDeleteEvent (object sender, DeleteEventArgs a)
	{
		Application.Quit ();
		a.RetVal = true;
	}
	
	
	//Abrir
	protected virtual void OnActionAbrirActivated (object sender, System.EventArgs e)
	{
		FileChooserDialog file = new FileChooserDialog("Seleccione Archivo",
		                                               this,
		                                               FileChooserAction.Open,
		                                               Stock.Ok,ResponseType.Ok,
		                                               Stock.Cancel,ResponseType.Cancel);
		
		if (file.Run() == (int)ResponseType.Ok) 
		{
			Console.WriteLine("Boton Aceptar");
			StreamReader leer = File.OpenText(file.Filename);
			textview.Buffer.Text = "";
			while(true)
			{
				string linea = leer.ReadLine();
				if (linea == null) break;
				textview.Buffer.Text += linea + "\n";
			}
			
			leer.Close();
		}
		file.Destroy();
	}
	
	protected virtual void OnActionAbrirButtonActivated (object sender, System.EventArgs e)
	{
		OnActionAbrirActivated(sender,e);
	}
	
	//Guardar
	protected virtual void OnActionGuardarActivated (object sender, System.EventArgs e)
	{
		FileChooserDialog file = new FileChooserDialog("Seleccione Archivo",
		                                               this,
		                                               FileChooserAction.Save,
		                                               Stock.Ok,ResponseType.Ok,
		                                               Stock.Cancel,ResponseType.Cancel);
		if (file.Run() == (int)ResponseType.Ok) 
		{
			StreamWriter buffer = new StreamWriter(file.Filename);
        	buffer.WriteLine(textview.Buffer.Text);
        	buffer.Close();
		}
		file.Destroy();	
	}
	
	protected virtual void OnActionGuardarButtonActivated (object sender, System.EventArgs e)
	{
		OnActionGuardarActivated(sender,e);	
	}
	
	
	
}

